Bug 1039009 - can't use cloud-init /run once via api
Summary: can't use cloud-init /run once via api
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-api
Version: 3.3
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
: 3.3.2
Assignee: Omer Frenkel
QA Contact:
URL: http://www.ovirt.org/Features/Cloud-I...
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-06 10:50 UTC by Sven Kieske
Modified: 2015-10-27 23:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-19 14:24:13 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 22139 None None None Never

Description Sven Kieske 2013-12-06 10:50:07 UTC
Description of problem:
you can't use the cloud-init or the "run once" feature for vms via
rest-API, but according to http://www.ovirt.org/Features/Cloud-Init_Integration
this should work

Version-Release number of selected component (if applicable):
3.3.1

How reproducible:
I looked into the api?rsdl but couldn't find it anywhere

Steps to Reproduce:
1.
2.
3.

Actual results:
can't use cloud init to provision vms via rest-api

Expected results:
can use cloud-init to automate vm provisioning through rest-api

Additional info:

I'd like to suggest this as a blocker for 3.3.2

Comment 2 Sven Kieske 2013-12-06 13:23:58 UTC
any chance to backport this(I'd even do it myself)? when will 3.3.3 get released?

Comment 3 R P Herrold 2013-12-06 17:32:07 UTC
add back URL to top

Comment 4 Omer Frenkel 2013-12-08 12:16:09 UTC
(In reply to Sven Kieske from comment #2)
> any chance to backport this(I'd even do it myself)? when will 3.3.3 get
> released?

proposed backport to 3.3.2 :
http://gerrit.ovirt.org/22139

Comment 5 Sandro Bonazzola 2013-12-11 08:16:18 UTC
(In reply to Omer Frenkel from comment #4)
> (In reply to Sven Kieske from comment #2)
> > any chance to backport this(I'd even do it myself)? when will 3.3.3 get
> > released?
> 
> proposed backport to 3.3.2 :
> http://gerrit.ovirt.org/22139

merged, re-targeting to 3.3.2

Comment 6 Sandro Bonazzola 2013-12-13 16:01:51 UTC
rc build done, moving to ON_QA, packages will be available on updates-testing repository.

Comment 7 Sandro Bonazzola 2013-12-19 14:24:13 UTC
oVirt 3.3.2 has been released resolving the problem described in this bug report.


Note You need to log in before you can comment on or make changes to this bug.